> ## Documentation Index
> Fetch the complete documentation index at: https://docs.periskope.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Notifications in a Chat

> This endpoint retrieves a paginated list of all notifications for the specific chat_id (in descending order of timestamp)




## OpenAPI

````yaml GET /chats/{chat_id}/notifications
openapi: 3.0.3
info:
  title: API - Local
  description: >-
    #### Welcome to the official Postman collection of Periskope API


    Periskope APIs enable you automate actions on your WhatsApp phone, and the
    Periskope platform


    - Read more about the APIs & webhooks here -
    [https://docs.periskope.app/api-reference/introduction](https://docs.periskope.app/api-reference/introduction)
        
    - We encourage responsible usage of the APIs. Follow these best practices
    and recommendations for safe actions on WhatsApp -
    [https://docs.periskope.app/get-started/best-practices](https://docs.periskope.app/get-started/best-practices)
        

    #### Getting Started


    ##### Pre-requisites:


    1. **Sign up for a free account on Periskope:** To use the Periskope API,
    you need to have an active Periskope account. If you don’t have one, you can
    sign up for a 7-day free trial [here](https://console.periskope.app).
        
    2. **Scan the QR code from WhatsApp to connect your phone:** A connected
    phone is required to use the APIs
        
    3. **Go to** [Settings &gt;
    API](https://console.periskope.app/settings/api), and generate an API key
    for your organization - The API key is used to authenticate every request.
    Please keep this secure
        

    ##### Using Postman:


    1. **Fork the collection so you can edit values and test the APIs in your
    own postman environment:** To fork the collection, click on the three dots
    next to v1. Then click on create a fork (_shortcut: Ctrl + Alt + F)._
        
    2. **Update the value of the variables in the collection:**  
        \- Update the API key with the key generated in Step 3  
        \- Update the phone number with your connected number. This number will be added to the `x-phone` header across requests
        
        It must be in the format of country code+number, with no special characters or spaces _e.g. +91 98745 32456 becomes 919874532456_
        

    For any help or feedback, please contact us at
    [support@periskope.app](https://mailto:support@periskope.app), or ping us on
    [WhatsApp](https://what.sapp.link/periskope)
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.periskope.app/v1
security:
  - bearerAuth: []
tags:
  - name: contacts
  - name: tickets
  - name: tasks
  - name: phones
  - name: message
  - name: queue
  - name: chats
  - name: group
  - name: members
  - name: webhooks
paths:
  /chats/{chat_id}/notifications:
    parameters:
      - name: chat_id
        in: path
        required: true
        schema:
          type: string
          example: 120363371308389685@g.us
          description: >-
            - The unique id of the chat

            - For individual chats, this would be the `country_code + number`
            (e.g., `918527184400`). Optionally, you can add @c.us

            - For groups, this would end with `@g.us`
    get:
      tags:
        - chats
      summary: Get Notifications in a Chat
      description: >
        This endpoint retrieves a paginated list of all notifications for the
        specific chat_id (in descending order of timestamp)
      operationId: getNotificationsInAChat
      parameters:
        - name: offset
          in: query
          schema:
            type: number
            example: '0'
            description: |-
              - The offset value for paginating the results
              - Default 0
        - name: limit
          in: query
          schema:
            type: number
            example: '10'
            description: |-
              - The maximum number of notifications to retrieve
              - Default 2000
        - name: x-phone
          in: header
          schema:
            type: string
            example: '{{orgPhone}}'
          description: >-
            **Optional.** The phone to scope this request to — in country code +
            number format with no spaces or special characters (e.g.
            919876543210), or the phone_id (phone-xxxxxxxxxxxx). When set, only
            this chat's notifications for that phone are returned. When omitted,
            this chat's notifications are returned — across all phones your
            token can access (the phones in your token's scope, or every phone
            in your organization if the token is unscoped). Passing a phone that
            is outside your token's scope returns a 401.
      responses:
        '200':
          description: 200 OK
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '3112'
            Date:
              schema:
                type: string
                example: Sun, 26 Jan 2025 03:55:18 GMT
            ETag:
              schema:
                type: string
                example: W/"c28-vSMgVw8zWagX+ekJDG+yFaKX4W0"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
            X-RateLimit-Limit:
              schema:
                type: string
                example: '10'
            X-RateLimit-Remaining:
              schema:
                type: string
                example: '9'
            X-RateLimit-Reset:
              schema:
                type: string
                example: '1737863720'
            x-periskope-org-id:
              schema:
                type: string
                example: 2997dd64-89bf-48d3-9a22-b314fca017e5
            x-periskope-phone-id:
              schema:
                type: string
                example: phone-bqzvyibhmwkaergr
            x-periskope-trace-id:
              schema:
                type: string
                example: 5b89a000-db99-11ef-a85f-51ccf4dd446f
          content:
            application/json:
              schema:
                type: object
                properties:
                  from:
                    type: number
                    example: 1
                    description: The starting index of the returned notifications.
                  to:
                    type: number
                    example: 10
                    description: The ending index of the returned messages.
                  count:
                    type: number
                    example: 10
                    description: The total count of messages.
                  notifications:
                    type: array
                    description: >-
                      An array of notification objects. Refer to [the
                      notification object
                      here](/api-reference/objects/the-chat-notification-object)
              examples:
                200 OK:
                  value:
                    count: 5
                    from: 1
                    messages:
                      - author: 918527184400@c.us
                        body: null
                        chat_id: 120363371308389685@g.us
                        id:
                          fromMe: true
                          id: fa3c48a78cc64e139e5737f7057235ea
                          remote: 120363371308389685@g.us
                          serialized: >-
                            true_120363371308389685@g.us_fa3c48a78cc64e139e5737f7057235ea_918527184400@c.us_remove
                        notification_id: >-
                          true_120363371308389685@g.us_fa3c48a78cc64e139e5737f7057235ea_918527184400@c.us_remove
                        org_id: 2997dd64-89bf-48d3-9a22-b314fca017e5
                        org_phone: 918527184400@c.us
                        recipientids:
                          - 919537851844@c.us
                        timestamp: '2025-01-11T11:52:27.231+00:00'
                        type: remove
                        unique_id: fa3c48a78cc64e139e5737f7057235ea
                      - author: 918527184400@c.us
                        body: null
                        chat_id: 120363371308389685@g.us
                        id:
                          fromMe: true
                          id: fd73a0384afe4bc89991c3303cacab4b
                          remote: 120363371308389685@g.us
                          serialized: >-
                            true_120363371308389685@g.us_fd73a0384afe4bc89991c3303cacab4b_918527184400@c.us_remove
                        notification_id: >-
                          true_120363371308389685@g.us_fd73a0384afe4bc89991c3303cacab4b_918527184400@c.us_remove
                        org_id: 2997dd64-89bf-48d3-9a22-b314fca017e5
                        org_phone: 918527184400@c.us
                        recipientids:
                          - 919535999383@c.us
                        timestamp: '2025-01-11T11:52:27.127+00:00'
                        type: remove
                        unique_id: fd73a0384afe4bc89991c3303cacab4b
                      - author: 918527184400@c.us
                        body: null
                        chat_id: 120363371308389685@g.us
                        id:
                          fromMe: true
                          id: 05f652baf6e54522b855d70ad43b813c
                          remote: 120363371308389685@g.us
                          serialized: >-
                            true_120363371308389685@g.us_05f652baf6e54522b855d70ad43b813c_918527184400@c.us_add
                        notification_id: >-
                          true_120363371308389685@g.us_05f652baf6e54522b855d70ad43b813c_918527184400@c.us_add
                        org_id: 2997dd64-89bf-48d3-9a22-b314fca017e5
                        org_phone: 918527184400@c.us
                        recipientids:
                          - 919537851844@c.us
                        timestamp: '2025-01-11T11:52:16.859+00:00'
                        type: add
                        unique_id: 05f652baf6e54522b855d70ad43b813c
                      - author: 918527184400@c.us
                        body: null
                        chat_id: 120363371308389685@g.us
                        id:
                          fromMe: true
                          id: 686bd17a4c3b4d7e9e84e5fe884de8bc
                          remote: 120363371308389685@g.us
                          serialized: >-
                            true_120363371308389685@g.us_686bd17a4c3b4d7e9e84e5fe884de8bc_918527184400@c.us_memberaddmode_false
                        notification_id: >-
                          true_120363371308389685@g.us_686bd17a4c3b4d7e9e84e5fe884de8bc_918527184400@c.us_memberaddmode_false
                        org_id: 2997dd64-89bf-48d3-9a22-b314fca017e5
                        org_phone: 918527184400@c.us
                        recipientids: null
                        timestamp: '2025-01-11T11:51:59.974+00:00'
                        type: memberaddmode_false
                        unique_id: 686bd17a4c3b4d7e9e84e5fe884de8bc
                      - author: 918527184400@c.us
                        body: null
                        chat_id: 120363371308389685@g.us
                        id:
                          fromMe: true
                          id: 8c04cef4f58148ae91fc2654260bae55
                          remote: 120363371308389685@g.us
                          serialized: >-
                            true_120363371308389685@g.us_8c04cef4f58148ae91fc2654260bae55_918527184400@c.us_memberaddmode_true
                        notification_id: >-
                          true_120363371308389685@g.us_8c04cef4f58148ae91fc2654260bae55_918527184400@c.us_memberaddmode_true
                        org_id: 2997dd64-89bf-48d3-9a22-b314fca017e5
                        org_phone: 918527184400@c.us
                        recipientids: null
                        timestamp: '2025-01-11T11:51:51.177+00:00'
                        type: memberaddmode_true
                        unique_id: 8c04cef4f58148ae91fc2654260bae55
                    to: 5
        '422':
          description: 422 Invalid Limit
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '197'
            Date:
              schema:
                type: string
                example: Thu, 09 Jan 2025 09:08:02 GMT
            ETag:
              schema:
                type: string
                example: W/"c5-sOfQmoGHJ22vOJ8WnucWzYQT5DI"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
            X-RateLimit-Limit:
              schema:
                type: string
                example: '10'
            X-RateLimit-Remaining:
              schema:
                type: string
                example: '9'
            X-RateLimit-Reset:
              schema:
                type: string
                example: '1736413684'
            org_id:
              schema:
                type: string
                example: 2997dd64-89bf-48d3-9a22-b314fca017e5
            x-periskope-trace-id:
              schema:
                type: string
                example: 3afe7fa0-ce69-11ef-9fd2-914300695506
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: VALIDATION_ERROR
                  fields:
                    type: object
                    properties:
                      limit:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Limit should be less than 2000
                          value:
                            type: string
                            example: '10000'
                  message:
                    type: string
                    example: Limit should be less than ${MAX_LIMIT}
                  name:
                    type: string
                    example: Validation Error
                  status:
                    type: number
                    example: 422
              examples:
                422 Invalid Limit:
                  value:
                    code: VALIDATION_ERROR
                    fields:
                      limit:
                        message: Limit should be less than 2000
                        value: '10000'
                    message: Limit should be less than ${MAX_LIMIT}
                    name: Validation Error
                    status: 422
      x-codeSamples:
        - lang: TypeScript
          label: Node.js
          source: |-
            import { PeriskopeApi } from '@periskope/periskope-client';

            const client = new PeriskopeApi({
              authToken: 'YOUR_API_KEY',
              phone: 'YOUR_PHONE_NUMBER', // Optional for this endpoint — omit to return this chat's notifications across all phones your token can access
            });

            async function getChatNotifications() {
              const response = await client.chat.getChatNotifications({
                chat_id: '< CHAT_ID >',
              });

              console.log(response);
            }

            getChatNotifications();
        - lang: cURL
          label: cURL
          source: >
            # x-phone is optional for this endpoint — omit it to return this
            chat's notifications across all phones your token can access

            curl -X GET \
              https://api.periskope.app/v1/chats/{chat_id}/notifications \
              -H 'Authorization: Bearer <token>' \
              -H 'Content-Type: application/json' \
              -H 'x-phone: YOUR_PHONE_NUMBER' \
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````